%{?nodejs_find_provides_and_requires}

%global packagename har-validator
%global enable_tests 1

Name:		nodejs-har-validator
Version:	2.0.2
Release:	1%{?dist}
Summary:	Extremely fast HTTP Archive (HAR) validator using JSON Schema

License:	ISC
URL:		https://github.com/ahmadnassri/har-validator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(is-my-json-valid)
BuildRequires:	npm(require-directory)
BuildRequires:	npm(should-promised)
%endif

Requires:	nodejs

%description
Extremely fast HTTP Archive (HAR) validator using JSON Schema


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.2-1
- Initial packaging
